=== doc/Makefile ===
include ../config.mk

.PHONY: clean
clean:
	rm -rf components.js content
