=== debian/changelog ===
xen-api-libs (0.5.2-3build1) quantal; urgency=low

  * No-change rebuild against current ocaml libraries.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 21 May 2012 09:24:43 +0200

xen-api-libs (0.5.2-3) unstable; urgency=low

  * Initial release (Closes: #646727).

 -- Jon Ludlam <jon@frankenelmo.uk.xensource.com>  Thu, 08 Dec 2011 11:07:39 +0000
