=== debian/control ===
Source: xen-api-libs
Section: libs
Priority: extra
Maintainer: Pkg Xen <pkg-xen-devel@lists.alioth.debian.org>
Build-Depends: debhelper (>= 8), libxen-ocaml-dev, libxen-ocaml, ocaml-nox, camlp4, camlp4-extra, ocaml-findlib, autotools-dev, dh-autoreconf, libtype-conv-camlp4-dev, libxmlm-ocaml-dev, uuid-dev, libdevmapper-dev, libxen-dev, blktap-dev, dh-ocaml, libounit-ocaml-dev
Standards-Version: 3.9.2
Uploaders: Jon Ludlam <jonathan.ludlam@eu.citrix.com>, Thomas Goirand <zigo@debian.org>
Homepage: http://www.xen.org/XCP
Vcs-Git: http://git.debian.org/git/pkg-xen/xen-api-libs.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-xen/xen-api-libs.git;a=summary

Package: libxcp-ocaml
Architecture: any
Section: ocaml
Depends: ${shlibs:Depends}, ${misc:Depends}, ${ocaml:Depends}
Provides: ${ocaml:Provides}
Description: Xen Cloud Platform control stack core libraries (runtime)
 The Xen Cloud Platform (XCP) is an open source enterprise-ready server
 virtualization and cloud computing platform, with support for a range of
 guest operating systems, Linux network and storage support.
 .
 XCP addresses the needs of cloud providers, hosting services and data centers
 by combining the isolation and multitenancy capabilities of the Xen hypervisor
 with enhanced security, storage and network virtualization technologies to
 offer a rich set of virtual infrastructure cloud services. The platform
 also address user requirements for security, availability, performance and
 isolation across both private and public clouds.
 .
 XCP consolidates server workloads, enables savings in power, cooling, and
 management costs and thus contributing to environmentally sustainable
 computing, an increased ability to adapt to ever-changing IT environments,
 an optimized use of existing hardware, and an improved level of IT
 reliability.
 .
 This package contains the runtime libraries required by OCaml bytecode
 programs that link against the XCP OCaml libraries

Package: libxcp-ocaml-dev
Architecture: any
Section: ocaml
Depends: ${misc:Depends}, ${ocaml:Depends}, blktap-dev
Provides: ${ocaml:Provides}
Description: Xen Cloud Platform control stack core libraries (devel)
 The Xen Cloud Platform (XCP) is an open source enterprise-ready server
 virtualization and cloud computing platform, with support for a range of
 guest operating systems, Linux network and storage support.
 .
 XCP addresses the needs of cloud providers, hosting services and data centers
 by combining the isolation and multitenancy capabilities of the Xen hypervisor
 with enhanced security, storage and network virtualization technologies to
 offer a rich set of virtual infrastructure cloud services. The platform
 also address user requirements for security, availability, performance and
 isolation across both private and public clouds.
 .
 XCP consolidates server workloads, enables savings in power, cooling, and
 management costs and thus contributing to environmentally sustainable
 computing, an increased ability to adapt to ever-changing IT environments,
 an optimized use of existing hardware, and an improved level of IT
 reliability.
 .
 This package contains the file required to develop against the OCaml
 libraries provided as part of the XCP xen control stack

Package: xcp-fe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Fork-and-exec daemon for xapi
 The Xen Cloud Platform (XCP) is an open source enterprise-ready server
 virtualization and cloud computing platform, with support for a range of
 guest operating systems, Linux network and storage support.
 .
 XCP addresses the needs of cloud providers, hosting services and data centers
 by combining the isolation and multitenancy capabilities of the Xen hypervisor
 with enhanced security, storage and network virtualization technologies to
 offer a rich set of virtual infrastructure cloud services. The platform
 also address user requirements for security, availability, performance and
 isolation across both private and public clouds.
 .
 XCP consolidates server workloads, enables savings in power, cooling, and
 management costs and thus contributing to environmentally sustainable
 computing, an increased ability to adapt to ever-changing IT environments,
 an optimized use of existing hardware, and an improved level of IT
 reliability.
 .
 This daemon is the fork-and-exec daemon used by xapi. When xapi requires
 another executable to be run, rather than forking and execing itself, it
 uses this single-threaded daemon to do it, passing fds to it as required.
